<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2020년 07월 24일 금요일 오전 02시 00분 - 날씨 흐림, 18, 18, 22, 20 / 최고 좋음, 2, 0

  저 작 권 : Copyright ⓒ 2014-2023 피리 PIREE . All right reserved
            그누보드 외에 추가된 소스는~
            만든사람의 허락없이 무단으로 사용할수 없습니다.
            사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
            http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 SAM > 라이브러리 > 피리 웹프로그램 > p770005 - 단축 URL
=====================================================================

//*****************************************************************
//** SAM_SOSS
//*****************************************************************

*/

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 작업일시 : 2020년 07월 24일 금요일 오전 05시 23분 - 날씨 
  ▣ 작업내용 : 
*/

  IF ( !defined('_GNUBOARD_') )                  EXIT;

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 2016년 07월 30일 토요일 오전 03시 18분 - 날씨 아까 비왔었음
  ▣ 작업내용 : 
*/

  $is_view__sh_url_btn = 0;

  IF ( $config['cf_sh_url_domain_s'] )
  {

      $this_domain_url_s = G5_DOMAIN .'/'. G5_BBS_DIR .'/board.php';

// ( $_SERVER["SCRIPT_NAME"] == G5_BBS_URL ."/board.php" )
      IF ( $this_domain_url_s == G5_BBS_URL ."/board.php" )
      {

          IF ( $bo_table || $wr_id > 0 )
          {

              IF ( $board['bo_sh_url_s'] )
              {

                  $list_index_url = $config['cf_sh_url_domain_s'] ."/". $board['bo_sh_url_s'];

              }

              IF ( $write['wr_sh_url_s'] )
              {

                  $view_index_url = $config['cf_sh_url_domain_s'] ."/". $write['wr_sh_url_s'];

              }

              IF ( !$board['bo_sh_url_s'] || !$write['wr_sh_url_s'] )
              {

                  $is_make_sh_url = 1;

                  $inc_wr_id = $wr_id;

                  include_once( piree__path($piree_prog_a[770005]['num'], 'sh_url__gnu_board.inc.php') );

              }

          }

      }

  }

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 2016년 07월 30일 토요일 오전 03시 18분 - 날씨 아까 비왔었음
  ▣ 작업내용 : 
*/

  $is_view__sh_url_btn = 0;

  function view__sh_url_copy_button()
  {

      global $list_index_url, $view_index_url, $image_index_url;

// ADD_JAVASCRIPT('js 구문', 출력순서); 숫자가 작을 수록 먼저 출력됨
      add_javascript('<script type="text/javascript" src="'. PIREE_LIB_URL .'/clipboard/clipboard.min.js"></script>', 54);

?>
      <script>
          var clipboard = new ClipboardJS('.text_copy_btn');

          clipboard.on('success', function(e) {
              console.log(e);
          });

          clipboard.on('error', function(e) {
              console.log(e);
          });
      </script>

<?php

/*

      add_javascript('<script type="text/javascript" src="'. PIREE_JS_URL .'/zclip/jquery.zclip.js"></script>', 77);
      add_javascript('<script type="text/javascript" src="'. PIREE_JS_URL .'/zclip/jquery.zclip.min.js"></script>', 78);
?>
      <script type="text/javascript">
          $(document).ready(function(){
<?php

              IF ( $list_index_url )
              {
?>

                  $('a#copy-list_url').zclip({
                      path:'<?php echo PIREE_JS_URL ?>/zclip/ZeroClipboard.swf',
                      copy:$('div#list_index_url').text()
                  });
<?php
              }

              IF ( $view_index_url )
              {
?>

                  $('a#copy-view_url').zclip({
                      path:'<?php echo PIREE_JS_URL ?>/zclip/ZeroClipboard.swf',
                      copy:$('div#view_index_url').text()
                  });
<?php
              }

              IF ( $image_index_url )
              {
?>

                  $('a#copy-image_idx_url').zclip({
                      path:'<?php echo PIREE_JS_URL ?>/zclip/ZeroClipboard.swf',
                      copy:$('div#image_idx_url').text()
                  });
<?php
              }

?>
          });
      </script>
<?php

*/

  }

  function view__sh_url_copy_area()
  {

      add_javascript('<script src="'. PIREE_JS_URL .'/clipboardjs/clipboard.min.js"></script>', 77);

?>
      <script>

          var clipboard = new Clipboard('.list_index_url');
          clipboard.on('success', function(e)  { console.log(e);  });
          clipboard.on('error', function(e)    { console.log(e);  });

      </script>
<?php

  }

?>